#!/bin/sh
#!/bin/sh
#
# figure out whether some programs are available
#
# $Id: paths.sh,v 1.1 2010/10/03 17:19:40 ca Exp $

isx()
{
	prg=$1

	for dir in `echo $PATH | sed -e 's/:/ /g'`
	do
		[ -x $dir/$prg ] && return 0
	done
	return 1
}

if isx nawk
then
	AWK=nawk
elif isx gawk
then
	AWK=awk
elif isx awk
then
	AWK=awk
else
	echo "$0: no awk program found"
	exit 1
fi
